org.vishia.gral.cfg

## Class GralCfgPanel

- java.lang.Object
- - org.vishia.gral.cfg.GralCfgElement
  - - org.vishia.gral.cfg.GralCfgPanel

- All Implemented Interfaces:
    java.lang.Cloneable, GralWidgetCfg_ifc

      public final class GralCfgPanel
      extends GralCfgElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.List<GralCfgElement>` | `listElements`
    `(package private) java.lang.String` | `name`
    `static int` | `version` Version, history and license.
    `(package private) java.lang.String` | `windPos`
    `(package private) java.lang.String` | `windTitle`

    - ### Fields inherited from class org.vishia.gral.cfg.GralCfgElement

      `content, next, positionInput, positionString, previous, widgetType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GralCfgPanel()`
    `GralCfgPanel(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set_windIdent(java.lang.String val)` Set from ZBNF:
    `void` | `set_windPos(java.lang.String val)`
    `void` | `set_windTitle(java.lang.String val)`

    - ### Methods inherited from class org.vishia.gral.cfg.GralCfgElement

      `clone, get_xPos, get_yPos, getPanel, new_Button, new_Curveview, new_Imagefile, new_InputFile, new_InputTextbox, new_InputTextline, new_Led, new_Line, new_OutputTextbox, new_position, new_ShowField, new_SwitchButton, new_Table, new_Text, new_ValueBar, set_Button, set_Curveview, set_Imagefile, set_InputFile, set_InputTextbox, set_InputTextline, set_Led, set_Line, set_OutputTextbox, set_position, set_position, set_positionString, set_ShowField, set_SwitchButton, set_Table, set_Text, set_ValueBar, setPanel, setPos`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license.
      - 2016-06-27 Hartmut new: The panel can be a window too.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### name

          java.lang.String name

    - #### listElements

          final java.util.List<GralCfgElement> listElements

    - #### windTitle

          java.lang.String windTitle

    - #### windPos

          java.lang.String windPos

  - ### Constructor Detail

    - #### GralCfgPanel

          GralCfgPanel()

    - #### GralCfgPanel

          GralCfgPanel(java.lang.String name)

  - ### Method Detail

    - #### set_windIdent

          public void set_windIdent(java.lang.String val)

      Set from ZBNF:

    - #### set_windTitle

          public void set_windTitle(java.lang.String val)

    - #### set_windPos

          public void set_windPos(java.lang.String val)